package com.steerinfo.ems.emsprodplanweightadjustment.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class EmsProdplanWeightAdjustment implements IBasePO<String> {
    /**
     * 主键(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="主键",required=true)
    private String id;

    /**
     * 计划量(PLAN_WEIGHT,DECIMAL,0)
     */
    @ApiModelProperty(value="计划量",required=false)
    private BigDecimal planWeight;

    /**
     * 初始计划量(PLAN_WEIGHT_OLD,DECIMAL,0)
     */
    @ApiModelProperty(value="初始计划量",required=false)
    private BigDecimal planWeightOld;

    /**
     * 提交人(SUBMITTER,VARCHAR,100)
     */
    @ApiModelProperty(value="提交人",required=false)
    private String submitter;

    /**
     * 提交时间(SUBMIT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="提交时间",required=false)
    private Date submitTime;

    /**
     * 审核人(REVIEWER,VARCHAR,100)
     */
    @ApiModelProperty(value="审核人",required=false)
    private String reviewer;

    /**
     * 审核时间(REVIEWER_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="审核时间",required=false)
    private Date reviewerTime;

    /**
     * 状态(0未通过1已通过)(AUDIT_STATUS,VARCHAR,2)
     */
    @ApiModelProperty(value="状态(0未通过1已通过)",required=false)
    private String auditStatus;

    @ApiModelProperty(value = "保留上一次重量",required = false)
    private BigDecimal recordWeight;

    @ApiModelProperty(value = "国贸审核人",required = false)
    private String gmReviewer;
    @ApiModelProperty(value = "国贸审核时间",required = false)
    private Date   gmReviewerTime;

    public String getGmReviewer() {
        return gmReviewer;
    }

    public void setGmReviewer(String gmReviewer) {
        this.gmReviewer = gmReviewer;
    }

    public Date getGmReviewerTime() {
        return gmReviewerTime;
    }

    public void setGmReviewerTime(Date gmReviewerTime) {
        this.gmReviewerTime = gmReviewerTime;
    }

    public BigDecimal getRecordWeight() {
        return recordWeight;
    }

    public void setRecordWeight(BigDecimal recordWeight) {
        this.recordWeight = recordWeight;
    }

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }


    public BigDecimal getPlanWeight() {
        return planWeight;
    }

    public void setPlanWeight(BigDecimal planWeight) {
        this.planWeight = planWeight;
    }

    public BigDecimal getPlanWeightOld() {
        return planWeightOld;
    }

    public void setPlanWeightOld(BigDecimal planWeightOld) {
        this.planWeightOld = planWeightOld;
    }

    public String getSubmitter() {
        return submitter;
    }

    public void setSubmitter(String submitter) {
        this.submitter = submitter == null ? null : submitter.trim();
    }

    public Date getSubmitTime() {
        return submitTime;
    }

    public void setSubmitTime(Date submitTime) {
        this.submitTime = submitTime;
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer == null ? null : reviewer.trim();
    }

    public Date getReviewerTime() {
        return reviewerTime;
    }

    public void setReviewerTime(Date reviewerTime) {
        this.reviewerTime = reviewerTime;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus == null ? null : auditStatus.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", planWeight=").append(planWeight);
        sb.append(", planWeightOld=").append(planWeightOld);
        sb.append(", submitter=").append(submitter);
        sb.append(", submitTime=").append(submitTime);
        sb.append(", reviewer=").append(reviewer);
        sb.append(", reviewerTime=").append(reviewerTime);
        sb.append(", auditStatus=").append(auditStatus);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}